Package Details: reaper-bin 6.13-1

Git Clone URL: https://aur.archlinux.org/reaper-bin.git (read-only, click to copy)
Package Base: reaper-bin
Description: Digital Audio Workstation
Upstream URL: http://www.reaper.fm
Licenses: custom
Conflicts: reaper
Submitter: david0
Maintainer: david0
Last Packager: david0
Votes: 75
Popularity: 1.56
First Submitted: 2018-08-10 15:40
Last Updated: 2020-07-23 13:30

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 Next › Last »

diekrg commented on 2018-03-27 01:18

Hey, on the 25th of March 2018 the reaper version on https://www.landoleet.org/ changed to reaper579pre1, but I got the following error "One or more files did not pass the validity check!". The problem was with the validation of the sha256 with the tar file.

I changed the version in the PKGBUILD to reaper579pre1, generated the corresponding sha256 and put that value in the PKGBUILD and that fixed it for me.

Cheers.

spider-mario commented on 2018-03-16 22:12

I am not quite sure why there are those post_{install,upgrade,remove} functions at the bottom of the PKGBUILD. If they were required, they should go into a .install file, and they are not, since it’s all taken care of by various hooks in /usr/share/libalpm/hooks/ (for example, have a look at /usr/share/libalpm/hooks/update-desktop-database.hook).

david0 commented on 2018-02-21 21:12

@net147: while it would be possible, I think its not a good idea, since the linux release 5.76 is not a stable version at all. The linux version in general is not an official release.

net147 commented on 2018-02-21 08:57

@david0 Why don't you point to the 5.76 release in the "old" folder?

morrisar47 commented on 2018-02-12 16:22

Ufortunately, this did not build for me. ==> Starting build()... make: pkg-config: Command not found g++ -pipe -fvisibility=hidden -fno-math-errno -fPIC -DPIC -Wall -Wshadow -Wno-unused-function -Wno-multichar -Wno-unused-result -Werror -Wno-deprecated-declarations -O2 -DNDEBUG -s -DSWELL_TARGET_GDK=3 -DSWELL_LICE_GDI -DSWELL_FREETYPE -I/usr/include/freetype2 -D_FORTIFY_SOURCE=2 -c -o swell.o swell.cpp make: pkg-config: Command not found make: pkg-config: Command not found In file included from swell.cpp:37:0: swell-internal.h:582:10: fatal error: gdk/gdk.h: No such file or directory #include <gdk gdk.h=""> ^~~~~~~~~~~</gdk>

net147 commented on 2018-02-11 10:46

@david0 v5.71-rc1 is available

goldpaw commented on 2018-01-31 19:00

@donvla

The reason the current version doesn't work, is the same reason the build number says -1 currently: There is no linux versions available on https://landoleet.org/

All we can do right now is to wait until a build becomes available again. Because landoleet.org is the only place we can get it.

donvla commented on 2018-01-31 17:48

Sry my fault! Though provided version does not work.

helldrak commented on 2018-01-27 04:22

Hi david0,

Thanks a lot for your soon answer and for your commits – everything is working like a charm now (btw landoleet x86_64 linux has been released on 2018-01-25 20:01).

david0 commented on 2018-01-25 08:27

Since quite some people asked, I changed the WDL url from the offical repo to the github clone, but I must admit that I don't understand what the problem with the offical one is.

The reason why the PKGBUILD is broken is simply because there is no x84_x64 build on Landoleet. You can change the PKGBUILD to use the url https://landoleet.org/old/reaper571pre14_linux_x86_64.tar.xz until they have provided a new build.